com.typesafe.config

## Interface ConfigIncludeContext

    public interface ConfigIncludeContext

Context provided to a `ConfigIncluder`; this interface is only useful inside a `ConfigIncluder` implementation, and is not intended for apps to implement.

### Method Summary

Methods
`ConfigParseable` `relativeTo(String filename)` Tries to find a name relative to whatever is doing the including, for example in the same directory as the file doing the including.

### Method Detail

#### relativeTo

    ConfigParseable relativeTo(String filename)

Tries to find a name relative to whatever is doing the including, for example in the same directory as the file doing the including. Returns null if it can't meaningfully create a relative name. The returned parseable may not exist; this function is not required to do any IO, just compute what the name would be. The passed-in filename has to be a complete name (with extension), not just a basename. (Include statements in config files are allowed to give just a basename.)

Parameters:
  `filename` - the name to make relative to the resource doing the including
Returns:
  parseable item relative to the resource doing the including, or null